OpenVDB 5.1.0

Public Member Functions | Static Public Member Functions | List of all members
TileSampler< StaggeredPointSampler, TreeT > Class Template Reference

For point sampling, tree traversal is less expensive than testing bounding box membership. More...

`#include <GridTransformer.h>`

Inherits StaggeredPointSampler.

## Public Member Functions
| TileSampler (const CoordBBox &, const typename TreeT::ValueType &, bool)

## Static Public Member Functions
static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Sample inTree at the nearest neighbor to inCoord and store the result in result. More...
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Sample inTree at the nearest neighbor to inCoord. More...

## Detailed Description

### template<typename TreeT>
class openvdb::v5_1::tools::internal::TileSampler< StaggeredPointSampler, TreeT >

For point sampling, tree traversal is less expensive than testing bounding box membership.

## Constructor & Destructor Documentation

## ◆ TileSampler()

TileSampler | ( | const CoordBBox & | ,
|  | const typename TreeT::ValueType & | ,
|  | bool |
| ) |  |
| inline

## Member Function Documentation

## ◆ consistent()

static bool consistent | ( |  | ) |
| inline static inherited

## ◆ mipmap()

static bool mipmap | ( |  | ) |
| inline static inherited

## ◆ name()

static const char* name | ( |  | ) |
| inline static inherited

## ◆ order()

static size_t order | ( |  | ) |
| inline static inherited

## ◆ radius()

static int radius | ( |  | ) |
| inline static inherited

## ◆ sample() [1/2]

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result
| ) |  |
| inline static inherited

Sample inTree at the nearest neighbor to inCoord and store the result in result.

Returns
  true if the sampled value is active.

## ◆ sample() [2/2]

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord
| ) |  |
| inline static inherited

Sample inTree at the nearest neighbor to inCoord.

Returns
  the reconstructed value

## ◆ staggered()

static bool staggered | ( |  | ) |
| inline static inherited

The documentation for this class was generated from the following file:

- GridTransformer.h